# Generated by Plain 0.52.2 on 2025-07-08 01:17

import plain.models.deletion
from plain import models
from plain.models import migrations


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Redirect",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True)),
                ("from_pattern", models.CharField(max_length=255)),
                ("to_pattern", models.CharField(max_length=255)),
                ("http_status", models.PositiveSmallIntegerField(default=301)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("order", models.PositiveSmallIntegerField(default=0)),
                ("enabled", models.BooleanField(default=True)),
                ("is_regex", models.BooleanField(default=False)),
            ],
            options={
                "ordering": ["order", "-created_at"],
            },
        ),
        migrations.CreateModel(
            name="RedirectLog",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True)),
                ("from_url", models.URLField(max_length=512)),
                ("to_url", models.URLField(max_length=512)),
                ("http_status", models.PositiveSmallIntegerField(default=301)),
                ("ip_address", models.GenericIPAddressField()),
                ("user_agent", models.CharField(max_length=512, required=False)),
                ("referrer", models.CharField(max_length=512, required=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
            options={
                "ordering": ["-created_at"],
            },
        ),
        migrations.CreateModel(
            name="NotFoundLog",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True)),
                ("url", models.URLField(max_length=512)),
                ("ip_address", models.GenericIPAddressField()),
                ("user_agent", models.CharField(max_length=512, required=False)),
                ("referrer", models.CharField(max_length=512, required=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
            options={
                "ordering": ["-created_at"],
            },
        ),
        migrations.AddIndex(
            model_name="redirect",
            index=models.Index(fields=["order"], name="plainredire_order_44dde0_idx"),
        ),
        migrations.AddIndex(
            model_name="redirect",
            index=models.Index(
                fields=["created_at"], name="plainredire_created_18c288_idx"
            ),
        ),
        migrations.AddConstraint(
            model_name="redirect",
            constraint=models.UniqueConstraint(
                fields=("from_pattern",),
                name="plainredirects_redirect_unique_from_pattern",
            ),
        ),
        migrations.AddField(
            model_name="redirectlog",
            name="redirect",
            field=models.ForeignKey(
                on_delete=plain.models.deletion.CASCADE, to="plainredirection.redirect"
            ),
        ),
        migrations.AddIndex(
            model_name="notfoundlog",
            index=models.Index(
                fields=["created_at"], name="plainredire_created_d5f0c7_idx"
            ),
        ),
        migrations.AddIndex(
            model_name="redirectlog",
            index=models.Index(
                fields=["created_at"], name="plainredire_created_5d75f4_idx"
            ),
        ),
    ]
